MPD: Manual< T > Class Template Reference

MPD 0.20.15

Public Member Functions
Manual< T > Class Template Reference

Container for an object that gets constructed and destructed manually. More...

`#include <Manual.hxx>`

## Public Member Functions
| Manual ()
| ~Manual ()
template<typename... Args>
void | Construct (Args &&... args)
void | Destruct ()
T & | Get ()
const T & | Get () const
| operator T& ()
| operator const T & () const
T * | operator-> ()
const T * | operator-> () const

## Detailed Description

### template<class T>
class Manual< T >

Container for an object that gets constructed and destructed manually.

The object is constructed in-place, and therefore without allocation overhead. It can be constructed and destructed repeatedly.

Definition at line 52 of file Manual.hxx.

## Constructor & Destructor Documentation

## ◆ Manual()

template<class T >

Manual< T >::Manual | ( |  | ) |
| inline

Definition at line 62 of file Manual.hxx.

## ◆ ~Manual()

template<class T >

Manual< T >::~Manual | ( |  | ) |
| inline

Definition at line 63 of file Manual.hxx.

## Member Function Documentation

## ◆ Construct()

template<class T >
template<typename... Args>

void Manual< T >::Construct | ( | Args &&... | args | ) |
| inline

Definition at line 69 of file Manual.hxx.

## ◆ Destruct()

template<class T >

void Manual< T >::Destruct | ( |  | ) |
| inline

Definition at line 80 of file Manual.hxx.

## ◆ Get() [1/2]

template<class T >

T& Manual< T >::Get | ( |  | ) |
| inline

Definition at line 91 of file Manual.hxx.

## ◆ Get() [2/2]

template<class T >

const T& Manual< T >::Get | ( |  | ) | const
| inline

Definition at line 98 of file Manual.hxx.

## ◆ operator const T &()

template<class T >

Manual< T >::operator const T & | ( |  | ) | const
| inline

Definition at line 109 of file Manual.hxx.

## ◆ operator T&()

template<class T >

Manual< T >::operator T & | ( |  | ) |
| inline

Definition at line 105 of file Manual.hxx.

## ◆ operator->() [1/2]

template<class T >

T* Manual< T >::operator-> | ( |  | ) |
| inline

Definition at line 113 of file Manual.hxx.

## ◆ operator->() [2/2]

template<class T >

const T* Manual< T >::operator-> | ( |  | ) | const
| inline

Definition at line 117 of file Manual.hxx.

The documentation for this class was generated from the following file:

- util/Manual.hxx